Bug 11441 - Сегментация в rdesktop
: Сегментация в rdesktop
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rdesktop)
: unstable
: all Linux
: P2 major
Assigned To:
:
: http://sourceforge.net/tracker/index....
:
:
:
  Show dependency tree
 
Reported: 2007-04-10 15:16 by
Modified: 2007-04-26 02:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-10 15:16:42
Отваливаются коннекты со следующим сообщением.
zsh: segmentation fault  rdesktop 192.168.1.29
Версия софта: rdesktop-1.5.0-alt2
------- Comment #1 From 2007-04-11 10:12:08 -------
$ uname -a
$ /lib/libc.so.6
------- Comment #2 From 2007-04-11 10:18:18 -------
(In reply to comment #1)
> $ uname -a
> $ /lib/libc.so.6
> 

#######################################
root@piton piton/Desktop/sync # uname -a
Linux piton.office.eva.dp.ua 2.6.18-std-smp-alt5 #1 SMP Fri Mar 9 17:41:44 MSK
2007 i686 GNU/Linux
root@piton piton/Desktop/sync # /lib/libc.so.6
GNU C Library stable release version 2.5, by Roland McGrath et al.
Copyright (C) 2006 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.
Compiled by GNU CC version 4.1.1 20070105 (ALT Linux, build 4.1.1-alt11).
Compiled on a Linux 2.6.17 system on 2007-01-25.
Available extensions:
        The C stubs add-on version 2.1.2.
        crypt add-on version 2.1 by Michael Glad and others
        GNU Libidn by Simon Josefsson
        GNU libio by Per Bothner
        NIS(YP)/NIS+ NSS modules 0.19 by Thorsten Kukuk
        Native POSIX Threads Library by Ulrich Drepper et al
        BIND-8.2.3-T5B
Thread-local storage support included.
For bug reporting instructions, please see:
<http://www.gnu.org/software/libc/bugs.html>.

------- Comment #3 From 2007-04-11 10:31:43 -------
Вот чего не припомню... (правда, на 1.4)

Попробуй strace -ff rdesktop для начала.
------- Comment #4 From 2007-04-11 13:36:21 -------
(In reply to comment #0)
> Отваливаются коннекты со следующим сообщением.
> zsh: segmentation fault  rdesktop 192.168.1.29

1) Всегда?
2) Старые версии себя так вели?

Просто, в последних двух релизам я включил IPv6 и звук через libao.
------- Comment #5 From 2007-04-11 13:56:27 -------
(In reply to comment #4)
> (In reply to comment #0)
> > Отваливаются коннекты со следующим сообщением.
> > zsh: segmentation fault  rdesktop 192.168.1.29
> 
> 1) Всегда?
> 2) Старые версии себя так вели?
> 
> Просто, в последних двух релизам я включил IPv6 и звук через libao.
> 

1) Отваливается всегда, сразу после ввода пароля и нажатия Enter, как правило.
(По моим наблюдениям, проблема появилась после обновления etcnet (но это сугубо
субъективное мнение :)) etcnet-0.8.6-alt1)
2) Со старыми версиями было все нормально.
------- Comment #6 From 2007-04-11 22:11:35 -------
(In reply to comment #5)
> 2) Со старыми версиями было все нормально.

Поставь 1.5.0-alt0.1 и сообщие результат. Если он работает нормально, придётся
откатить всё что я там в двух релизам наделал откатить.
------- Comment #7 From 2007-04-12 14:25:00 -------
> Поставь 1.5.0-alt0.1 и сообщие результат. Если он работает нормально, придётся
> откатить всё что я там в двух релизам наделал откатить.
Ничего не помогло. Откатывал как сам rdesktop, так и etcnet, на который грешил,
до :  etcnet-0.8.5-alt2, но проблемы с сегментацией так и не пропали
------- Comment #8 From 2007-04-17 14:24:48 -------
Проблема появилась за пару дней до этого поста и остается до сих пор.
# strace rdesktop
заканчивается

writev(3, [{"8\1\4\0\3\0 \3\4\0\0\0\377\377\0\0F\0\5\0\2\0 \3\3\0 \3"..., 
16384}, {"I\1\0\0", 4}], 2) = 16388
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++
Process 25675 detached

Вылетает не сразу после запуска, может нормально зайти на удаленны стол и 
какоето время работать(если ничего не трогать). Такое впечатление что вылетает 
на создании новых окон на удаленном столе.

Пробовал:
стартовать иксы на vesa, отключать все модули.
грузился с ядром 2.6.18-std-smp-alt3.
реинстал и откат rdesktop.
Никакого эфекта.

# uname -a
Linux admin.stek.com.ua 2.6.18-std-smp-alt5 #1 SMP Fri Mar 9 17:41:44 MSK 2007 
i686 GNU/Linux
# rpm -q rdesktop
rdesktop-1.5.0-alt2
------- Comment #9 From 2007-04-20 01:37:42 -------
(In reply to comment #4)
> Просто, в последних двух релизам я включил IPv6
Выброси эту гадость и не тащи куда попало без крайней необходимости...

e.g. http://www.securitylab.ru/contest/264659.php
------- Comment #10 From 2007-04-22 03:26:08 -------
reassign на меня. всё равно я уже патч от 1.5.0 до cvs вычитал. и патч по
поводу
-y обновил до текущего cvs. осталось проверить работу и можно класть в Сизиф.
------- Comment #11 From 2007-04-22 03:50:30 -------
(In reply to comment #9)
> (In reply to comment #4)
> > Просто, в последних двух релизам я включил IPv6
> Выброси эту гадость и не тащи куда попало без крайней необходимости...
> 
> e.g. http://www.securitylab.ru/contest/264659.php

mike@ если ты считаешь что rdesktop нужно собрать без поддержки IPv6, то
пожалуста отдельным багом в этой базгилле.

Лично я не вижу проблем с тем что собрать rdesktop с поддержкой IPv6. Хрен его
знает куда меня завтра закинет админить вантузные тазики.
------- Comment #12 From 2007-04-22 15:22:27 -------
Не, я не считаю это поводом для бага.  Просто хинт.
------- Comment #13 From 2007-04-23 16:01:06 -------
would be fixed in 1.5.0-alt3.
------- Comment #14 From 2007-04-26 02:18:17 -------
Status -> CLOSED.

Это проблема выла вызвана изменениями в libX11, теперь это пофикшено. Если есть
ещё проблемы, вешаем отдельными багами.